-- Copyright (C) 2010-2011 Papavasileiou Dimitris                             
--                                                                      
-- This program is free software: you can redistribute it and/or modify 
-- it under the terms of the GNU General Public License as published by 
-- the Free Software Foundation, either version 3 of the License, or    
-- (at your option) any later version.                                  
--                                                                      
-- This program is distributed in the hope that it will be useful,      
-- but WITHOUT ANY WARRANTY; without even the implied warranty of       
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
-- GNU General Public License for more details.                         
--                                                                      
-- You should have received a copy of the GNU General Public License    
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

require "dynamics"
require "automotive"
require "toon"
require "moretextures"
require "transforms"

return toon.flat {
   color = textures.periodic (textures.checkerboard (512, 512, 2)),

   bodies.environment {
      automotive.racetrack {
	 position = {-5e3, 0, 0},
	 orientation = transforms.euler (0, 0, 0),

	 istrack = true,

	 scale = {10, 10},
	 
	 [1] = {1e4, 5e3, 5e3, 0, 0, 0},
      }
   },
}
